% !TEX root = ../main.tex

\usepackage[
	maxnames=99,
	style=alphabetic,
	maxalphanames=3,
	minalphanames=3,
	sorting=nyt,
	backref=false
]{biblatex}
\usepackage{csquotes}

\DefineBibliographyStrings{english}{
	backrefpage = {page},
	backrefpages = {pages}
}

\renewcommand*{\labelalphaothers}{$^+$}
%\renewcommand*{\bibfont}{\footnotesize}

\AtEveryBibitem{%
	\ifdissertation@print
		\clearfield{url}
		\clearfield{doi}
	\fi
	\ifentrytype{article}{
		\clearname{editor}
		\clearfield{issn}
	}{}
	\ifentrytype{inbook}{
		\clearname{editor}
	}{}
	\ifentrytype{incollection}{
		\clearfield{isbn}
	}{}
	\ifentrytype{inproceedings}{
		\clearfield{address}
		\clearname{editor}
		\clearfield{eprint}
		\clearfield{isbn}
		\clearlist{location}
		\clearlist{publisher}
	}{}
	\ifentrytype{proceedings}{
		\clearfield{isbn}
	}{}
}

\addbibresource{bibliography.bib}

% Adapted from /usr/share/texmf-dist/tex/latex/biblatex/bbx/standard.bbx:26 (article)
\DeclareBibliographyDriver{contributions}{%
	%A\usebibmacro{bibindex}B%
	\usebibmacro{author/translator+others}%
	\setunit{\printdelim{nametitledelim}}\newblock
	\usebibmacro{title}%
	\iffieldundef{booksubtitle}{}{\printfield{booksubtitle} \printfield{year}}%
	\iffieldundef{journaltitle}{}{\printfield{journaltitle}, \printfield{year}}%
	\newunit\newblock
	\finentry}


\DeclareBibliographyDriver{inproceedings}{%
	\usebibmacro{bibindex}%
	\usebibmacro{begentry}%
	\usebibmacro{author/translator+others}%
	\setunit{\printdelim{nametitledelim}}\newblock
	\usebibmacro{title}%
	\newunit\newblock
	\usebibmacro{byauthor}%
	\newunit\newblock
	\usebibmacro{in:}%
	\printfield{booktitle}%
	\iffieldundef{booksubtitle}{ \printfield{year}}{ (\printfield{booksubtitle} \printfield{year})}%
	\iffieldundef{eventtitle}{}{ at \printfield{eventtitle}}%
	\newunit\newblock
	\printfield{series} %
	\iffieldundef{maintitle}
	  {\printfield{volume}%
	   \printfield{part}}
	  {}%
	\newunit
	\printfield{volumes}%
	\newunit\newblock
	\printfield{note}%
	\newunit\newblock
	\printlist{organization}%
	\newunit\newblock
	\usebibmacro{chapter+pages}%
	\newunit\newblock
	\usebibmacro{doi+eprint+url}%
	\newunit\newblock
	\usebibmacro{addendum+pubstate}%
	\setunit{\bibpagerefpunct}\newblock
	\usebibmacro{pageref}%
	\usebibmacro{finentry}}
